angular.module('starter', ['ionic'])

.run(function($ionicPlatform) {
    $ionicPlatform.ready(function() {
        if(window.cordova && window.cordova.plugins.Keyboard) {
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
            cordova.plugins.Keyboard.disableScroll(true);
        }
        if(window.StatusBar) {
            StatusBar.styleDefault();
        }
    });
})

.config(function($stateProvider, $urlRouterProvider) {
    $stateProvider
        .state("list", {
            url: "/list",
            templateUrl: "pages/list.html",
            controller: "ListController",
            cache: false
        })
        .state("create", {
            url: "/create",
            templateUrl: "pages/create.html",
            controller: "CreateController"
        });
    $urlRouterProvider.otherwise("/list");
})

.controller("ListController", function($scope, $state) {
    $scope.people = localStorage.getItem("people") ? JSON.parse(localStorage.getItem("people")) : [];
    $scope.create = function() {
        $state.go("create");
    };
})

.controller("CreateController", function($scope, $state) {
    $scope.people = localStorage.getItem("people") ? JSON.parse(localStorage.getItem("people")) : [];
    $scope.person = {}
    $scope.save = function() {
        if($scope.person.firstname && $scope.person.lastname) {
            $scope.people.push({
                firstname: $scope.person.firstname,
                lastname: $scope.person.lastname
            });
            localStorage.setItem("people", JSON.stringify($scope.people));
            $state.go("list");
        }
    };
});
